---
title: Chef Habitat 0.66.0 Release!
date: 2018-10-22
author: Matthew Peck
tags: release notes
category: product 
classes: body-article
---

Habitat 0.66.0 Release notes

We are happy to announce the release of Chef Habitat 0.66.0. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/install-habitat/).

#### New Features & Enhancements
- Optimize the supervisor's HTTP gateway [#5725](https://github.com/habitat-sh/habitat/pull/5725) ([raskchanky](https://github.com/raskchanky))
- Launcher creates its own PID file at /hab/launcher/PID [#5738](https://github.com/habitat-sh/habitat/pull/5738) ([baumanj](https://github.com/baumanj))
- Adds configurable bldr_url to cli.toml including `hab setup` subcommand [#5723](https://github.com/habitat-sh/habitat/pull/5723) ([eeyun](https://github.com/eeyun))

#### Behavioral Changes
- Remove multiple supervisors on single host support (--override-name option) [#5750](https://github.com/habitat-sh/habitat/pull/5750) ([baumanj](https://github.com/baumanj))
- Adds upload of public keys for deps as well as target package [#5730](https://github.com/habitat-sh/habitat/pull/5730) ([eeyun](https://github.com/eeyun))
- Corrects api_client response on hab bldr job start [#5728](https://github.com/habitat-sh/habitat/pull/5728) ([eeyun](https://github.com/eeyun))
- Don't spam the Supervisor logs quite so much [#5716](https://github.com/habitat-sh/habitat/pull/5716) ([christophermaier](https://github.com/christophermaier))
- Make logging around user.toml changes more specific [#5713](https://github.com/habitat-sh/habitat/pull/5713) ([christophermaier](https://github.com/christophermaier))

#### Bug Fixes
- Cleanup Supervisor startup and termination in a local Windows studio [#5756](https://github.com/habitat-sh/habitat/pull/5756) ([mwrock](https://github.com/mwrock))
- Purge "rumor heat" information for departed members [#5744](https://github.com/habitat-sh/habitat/pull/5744) ([christophermaier](https://github.com/christophermaier))
- Update Cargo.lock to include https://github.com/habitat-sh/core/pull/75 [#5741](https://github.com/habitat-sh/habitat/pull/5741) ([baumanj](https://github.com/baumanj))
- Replace launcher's Process struct's unsafe implementations with rust stdlib [#5733](https://github.com/habitat-sh/habitat/pull/5733) ([baumanj](https://github.com/baumanj))
- Don't change svc directory permissions except when the directory is created [#5720](https://github.com/habitat-sh/habitat/pull/5720) ([jaym](https://github.com/jaym))
- Remove unnecessary crate version pins, fix typo and add comments for hyper pins [#5729](https://github.com/habitat-sh/habitat/pull/5729) ([baumanj](https://github.com/baumanj))
- Tokio deprecation fixes [#5727](https://github.com/habitat-sh/habitat/pull/5727) ([baumanj](https://github.com/baumanj))

#### Merged Pull Requests
- do not check for running supervisor in windows container studio [#5771](https://github.com/habitat-sh/habitat/pull/5771) ([mwrock](https://github.com/mwrock))
- Add plan-variant for bintray-publish [#5751](https://github.com/habitat-sh/habitat/pull/5751) ([smacfarlane](https://github.com/smacfarlane))
- correct windows requirement docs [#5757](https://github.com/habitat-sh/habitat/pull/5757) ([mwrock](https://github.com/mwrock))
- [ci] Update to Rust 1.29.2. [#5742](https://github.com/habitat-sh/habitat/pull/5742) ([fnichol](https://github.com/fnichol))
- Add example for how to install older version of `hab` to documentation [#5747](https://github.com/habitat-sh/habitat/pull/5747) ([rsertelon](https://github.com/rsertelon))
- Refactor Plans for hab components [#5698](https://github.com/habitat-sh/habitat/pull/5698) ([smacfarlane](https://github.com/smacfarlane))
- Help understand the download_file args [#5749](https://github.com/habitat-sh/habitat/pull/5749) ([rsertelon](https://github.com/rsertelon))
- Sort blog tags alphabetically [#5748](https://github.com/habitat-sh/habitat/pull/5748) ([rsertelon](https://github.com/rsertelon))
- rework permissions into separate APIs for linux and windows [#5724](https://github.com/habitat-sh/habitat/pull/5724) ([mwrock](https://github.com/mwrock))
- [ci] Update Buildkite to Rust 1.29.1 [#5735](https://github.com/habitat-sh/habitat/pull/5735) ([fnichol](https://github.com/fnichol))
- Skip Appveyor if only the docs are updated [#5722](https://github.com/habitat-sh/habitat/pull/5722) ([btm](https://github.com/btm))
- fixed typo [#5721](https://github.com/habitat-sh/habitat/pull/5721) ([davidkazuhiro](https://github.com/davidkazuhiro))
- update crates [#5719](https://github.com/habitat-sh/habitat/pull/5719) ([mwrock](https://github.com/mwrock))
- Remove "maintenance window" step from release pipeline [#5718](https://github.com/habitat-sh/habitat/pull/5718) ([christophermaier](https://github.com/christophermaier))
- update winapi crate and pull in latest core [#5711](https://github.com/habitat-sh/habitat/pull/5711) ([mwrock](https://github.com/mwrock))
- Store services in a HashMap instead of a Vec [#5712](https://github.com/habitat-sh/habitat/pull/5712) ([christophermaier](https://github.com/christophermaier))
- bumping dev version [#5715](https://github.com/habitat-sh/habitat/pull/5715) ([mwrock](https://github.com/mwrock))
